package com.fshark.overseas.advert.modle;

import com.fshark.overseas.advert.modle.metrics.ActivationMetrics;
import com.fshark.overseas.advert.util.Constants;
import lombok.Data;


@Data
public class SinkMetricEvent {
    private String eventType;
    private ActivationMetrics eventData;
    private OrderData orderData;

    public boolean isMetricEvent() {
        return Constants.TYPE_SINK_EVENT.equals(eventType);
    }

    public boolean isOrderEvent() {
        return Constants.TYPE_SINK_ORDER.equals(eventType);
    }
}
